<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<!-- Generic resources fragment-->
<div th:replace="fragments/header :: head (pageTitle = #{register.title})" th:remove="tag">
    <h1>Aquí va el contingut del head amb els metas i els css</h1>
</div>

</head>
<body>
<!-- Header fragment -->
<div th:replace="fragments/header :: header" th:remove="tag">
    <h1>Aquí va el contingut del header amb el seu menu</h1>
</div>

<!-- Page top section -->
<section class="page-top-section set-bg" th:attr="data-setbg=@{/img/header-bg/2.jpg}" data-setbg="img/header-bg/2.jpg">
    <div class="container">
        <h2 th:text="#{users.title}">Títol dels personatges</h2>
    </div>
</section>
<!-- Page top section end -->

<!-- Blog section -->
<section class="blog-section spad">
    <div class="container">
<!--        <a th:href="@{/users/crud}" th:text="#{users.nou.button}">New</a>-->
    </div>
    <div  class="container">
        <table id="users" class="table table-striped table-bordered" style="width:100%">
            <thead>
            <tr>
                <th>username</th>
                <th>alias</th>
                <th>role</th>
                <th>status</th>
                <th>actions</th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th>username</th>
                <th>alias</th>
                <th>role</th>
                <th>status</th>
                <th>actions</th>
            </tr>
            </tfoot>
        </table>
    </div>

</section>

<!-- footer fragment -->
<div th:replace="fragments/footer :: footer" th:remove="tag">
    <h1>Aquí la informació del footer</h1>
</div>

<!-- Generic Scripts fragment -->
<div th:replace="fragments/header :: scripts" th:remove="tag">
    <h1>Aquí posem els javascripts</h1>
</div>

<script type="text/javascript">
    var table;
    var popUpHtml;
    $(document).ready(function() {

            table = $('#users').DataTable( {
            "ajax": {
                url: "/api/user",
                dataSrc: ''
            },
            "columns": [
                { "data": "username"},
                { "data": "alias" },
                { "data": "role" },
                { "data": "status" },
                { "data": "id",
                    "createdCell": function (td, cellData, rowData, row, col) {
                        var deleteIcon = "<a href=javascript:deleteUser('"+ rowData.id +"')><i class='fas fa-trash-alt' style='color:red'></i></a>";

                        $(td).html(deleteIcon);
                    }
                }
            ]
        } );
    } );

    function deleteUser(id){
        Swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!',
          backdrop: `
                     rgba(123,0,0,0.4)
                     url("/img/animatedGif/deleteUser.gif")
                     left bottom
                     no-repeat
                    `
        })
        .then((result) => {
          if (result.value) {
              var sendUrl = "/api/user/"+id;
              $.ajax({ url: sendUrl,
                         method: 'DELETE'
              })
              .then(function (data) {
                    table.ajax.reload();
                    Swal.fire(
                        'Deleted',
                        'Your role has been deleted.',
                        'success'
                    )
              })
              .fail(function (err) {
                    response = JSON.parse(err.responseText);
                    Swal.fire({
                        icon: 'error',
                        title: response.message,
                        text: response.errors[0],
                        footer: response.status
                    })
              });
          }
        })
    }

</script>

</body>
</html>
